---
title: "Deletes an MCP prompt."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › file

`DELETE /v1/stores/{store}/products/{product}/prompts/{prompt}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `file:delete`, `product:write`

## Path parameters

- `store` (`deletePrompt.path.store`; string, required) — The store's id.
- `product` (`deletePrompt.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `prompt` (`deletePrompt.path.prompt`; string, required)
  - minLength 1

## Header parameters

- `Idempotency-Key` (`deletePrompt.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/prompts/<prompt>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/prompts/<prompt>';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/prompts/<prompt>"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

Deletes an MCP prompt.

#### Example

```json
{
  "id": "string",
  "deleted": true
}
```

- `id` (`deletePrompt.response.200.id`; string, required)
- `deleted` (`deletePrompt.response.200.deleted`; boolean, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`deletePrompt.response.default.type`; string, required)
  - format `uri`
- `title` (`deletePrompt.response.default.title`; string, required)
- `status` (`deletePrompt.response.default.status`; integer, required)
- `detail` (`deletePrompt.response.default.detail`; string, required)
- `code` (`deletePrompt.response.default.code`; string, optional)
- `context` (`deletePrompt.response.default.context`; object, optional)
- `reached_core` (`deletePrompt.response.default.reached_core`; boolean, optional)
- `core_answer` (`deletePrompt.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/delete-prompt/index.md
